Bug 19874 - Move template JavaScript to the footer: UNIMARC editor plugins, part 5
Summary: Move template JavaScript to the footer: UNIMARC editor plugins, part 5
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19872
Blocks: 17858 19877
  Show dependency treegraph
 
Reported: 2017-12-22 14:21 UTC by Owen Leonard
Modified: 2018-04-23 22:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5 (10.17 KB, patch)
2017-12-22 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5 (10.23 KB, patch)
2018-03-14 13:42 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5 (10.28 KB, patch)
2018-03-25 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-22 14:21:42 UTC
Most UNIMARC plugin templates already have JavaScript at the bottom of the template instead of the top, but they should still be modified to be consistent with other templates which have been updated as part of Bug 17858.

This patch modifies yet more UNIMARC editor plugins.
Comment 1 Owen Leonard 2017-12-22 14:57:56 UTC
Created attachment 70126 [details] [review]
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5

This patch updates yet more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_125a.tt
- unimarc_field_125b.tt
- unimarc_field_126a.tt
- unimarc_field_126b.tt
- unimarc_field_127.tt
Comment 2 sandboxes@biblibre.com 2018-03-14 13:42:11 UTC
Patch tested with a sandbox, by delaye <stephane.delaye@biblibre.com>
Comment 3 sandboxes@biblibre.com 2018-03-14 13:42:33 UTC
Created attachment 72863 [details] [review]
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5

This patch updates yet more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_125a.tt
- unimarc_field_125b.tt
- unimarc_field_126a.tt
- unimarc_field_126b.tt
- unimarc_field_127.tt

Signed-off-by: delaye <stephane.delaye@biblibre.com>
Comment 4 Katrin Fischer 2018-03-25 18:44:17 UTC
Created attachment 73252 [details] [review]
Bug 19874: Move template JavaScript to the footer: UNIMARC editor plugins, part 5

This patch updates yet more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_125a.tt
- unimarc_field_125b.tt
- unimarc_field_126a.tt
- unimarc_field_126b.tt
- unimarc_field_127.tt

Signed-off-by: delaye <stephane.delaye@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-26 20:36:16 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-04-23 22:50:49 UTC
Awesome work all, enhancement, not backported for stable